package cache

func (p *RedisCache) Publish(channel string, message interface{}) (int64, error) {
	if p.isCluster {
		return p.cluster.Publish(channel, message).Result()
	}

	return p.client.Publish(channel, message).Result()
}
