// Copyright 2019 getensh.cc. All rights reserved.
// Use of this source code is governed by getensh.cc.

package consts

// 定义数据来源大类
const (
	ODSPROVIDERLOG     = "provider-log"   // 数据源日志
	ODSGDLOG          = "gd-log"        // gd日志
	ODSMANUALAMENDMENT = "manual"         // 人工修正
	ODSOFFLINEIMPORT   = "offline-import" // 离线导入
)

const (
	ACTIONINSERT = "insert"
	ACTIONUPDATE = "update"
	ACTIONDELETE = "delete"
)

// 数据来源手动和非手动，手动修改数据优先级最高
const (
	SOURCENORML           = 0 // 数据源或者离线处理日志
	SOURCEMANUALAMENDMENT = 1 // 人工修正
)

// 定义数据来源编号
const (
	SOURCEODS1  = "ODS001"
	SOURCEODS2  = "ODS002"
	SOURCEDWS1  = "DWS001"
	SOURCEDWS2  = "DWS001"
	SOURCEADS1  = "ADS001"
	SOURCEADS2  = "ADS002"
	SOURCEADS3  = "ADS003"
	SOURCEADS4  = "ADS004"
	SOURCEADS5  = "ADS005"
	SOURCEADS6  = "ADS006"
	SOURCEADS7  = "ADS007"
	SOURCEADS8  = "ADS008"
	SOURCEADS9  = "ADS009"
	SOURCEADS10 = "ADS010"
	SOURCEADS11 = "ADS011"
	SOURCEADS14 = "ADS014"
	SOURCEADS15 = "ADS015"
	SOURCEADS16 = "ADS016"
	SOURCEADS17 = "ADS017"
	SOURCEADS18 = "ADS018"
	SOURCEADS19 = "ADS019"
	SOURCEADS20 = "ADS020"
	SOURCEADS21 = "ADS021"
	SOURCEADS23 = "ADS023"
)
