### 必要条件
1. 下载与安装`protoc`工具

    https://github.com/protocolbuffers/protobuf/releases

2. 安装protoc Go插件：`protoc-gen-go`

    方式1（`默认带omitempty`)：
    ```shell
    go get -u github.com/golang/protobuf/protoc-gen-go
    ```
    方式2（`不带omitempty`)：
    ```shell
    git clone http://gitlab.sygd.com/repo/libs/go/gomodule
    cd mod /github.com/golang/protobuf@v1.3.4/protoc-gen-go/generator
    go build
    cp protoc-gen-go $GOBIN/
    ```

### 生成说明
1. 普通生成
    protoc --go_out=. *.proto
2. 支持rpc
    protoc --go_out=plugins=grpc:. *.proto
